/*##############################################################################

nIP - nano IP stack

File        : os_core.c

Description : Functions to handle usual operating system calls

Copyright notice:

Copyright (C) 2005 -
Andreas Dittrich, dittrich@informatik.hu-berlin.de
Jon Kowal, kowal@informatik.hu-berlin.de

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#############################################################################*/

#include "nip_types.h"
#include "os_core.h"

// time from user program
extern uint32_t cur_time;


// nip_time_t nip_time( )
// {
// 	return cur_time;
// }

void nip_memcpy( void* dest, void* src, uint16_t size)
{
	while ( size-- > 0 )
	{
		((uint8_t*)dest)[size] = ((uint8_t *)src)[size];
	}
}

// void nip_memset( void* ptr, uint8_t c, uint16_t size )
// {
// 	while( size-- > 0 )
// 	{
// 		((uint8_t*)ptr)[size] = c;
// 	}
// }
